---
updatedAt: 2026-02-10T18:31:12.000Z
---

# List all Agent Locations

**This API requires the Account Administrator role.**

Returns all the Agent Locations present in the account.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - Voice",
    "description": "The Voice provider APIs are used to manage information about voice specific elements and different voice related entities e.g. Phone numbers.\n\nVoice Services will support multiple ways to provision voice providers\n  1. Programmatic Interface (Rest APIs)\n  2. User Interface\n",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.2"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/admin/voice/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Agent Location",
      "description": "Agent location Routing APIs for System Administrator. It will enable agents connecting from different countries to be able to go through specific trunks or connection.\n"
    }
  ],
  "paths": {
    "/accounts/{accountId}/agent-locations": {
      "get": {
        "tags": [
          "Agent Location"
        ],
        "summary": "List all Agent Locations",
        "description": "**This API requires the Account Administrator role.**\n\nReturns all the Agent Locations present in the account.\n",
        "operationId": "getAllAgentLocations",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "name": "filter",
            "in": "query",
            "required": false,
            "description": "Specifies details of a row filter.\n\n The possible fields that can be filtered on are:\n  * name\n\nThe allowed format:\n  - Begins with the column name to be filtered, followed by a colon, then:\n    - Either an exact string to match, or\n    - A string expression including the * wildcard character\n      - :{PREFIX}* will be used to find out word start with.\n      - :*{POSTFIX} will be used to find out word end with\n      - : will be used to match exact word\n  - Begin with column name to be filtered, followed by a = operator. (this will be used to match exact string)\n",
            "schema": {
              "type": "string",
              "maxLength": 255
            },
            "examples": {
              "exact": {
                "description": "Example of filtering based on an exact string.",
                "value": "name=AHCG123"
              },
              "prefix": {
                "description": "Example of filtering based on a prefix string.",
                "value": "name:AHCG1*"
              },
              "postfix": {
                "description": "Example of filtering based on a postfix string.",
                "value": "name:*AHCG"
              }
            }
          },
          {
            "name": "orderBy",
            "in": "query",
            "required": false,
            "description": "Field name on which ordering needs to be performed. The default order is ascending.\n\nThe possible fields that can be ordered on are:\n* name\n\nField Names are case-senstive (should be written as it is in description).\n\nTo specify descending order, a suffix \" desc\" should be added. For example, \"name\" for ascending or \"name desc\" for descending\".\n",
            "schema": {
              "type": "string",
              "default": "name",
              "maxLength": 255
            },
            "examples": {
              "ascending": {
                "value": "name"
              },
              "descending": {
                "value": "name desc"
              }
            }
          },
          {
            "$ref": "#/components/parameters/pageNumber"
          },
          {
            "$ref": "#/components/parameters/pageSize"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListAgentLocations"
                },
                "examples": {
                  "default": {
                    "$ref": "#/components/examples/AgentLocations"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorConstraintViolation"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "All other application errors",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorConstraintViolation"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      },
      "Pagination": {
        "type": "object",
        "properties": {
          "pageNumber": {
            "type": "integer",
            "description": "The current page number."
          },
          "pageSize": {
            "type": "integer",
            "description": "The max number of records that can be retrieved on this page."
          },
          "total": {
            "type": "integer",
            "description": "The total number of records."
          }
        }
      },
      "Links": {
        "type": "object",
        "properties": {
          "prev": {
            "type": "string",
            "description": "URL of the previous page. Blank if currently on the first page."
          },
          "next": {
            "type": "string",
            "description": "URL of the next page. Blank if currently on the last page."
          }
        }
      },
      "ListAgentLocation": {
        "description": "Agent Location",
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique Id of Agent Location",
            "readOnly": true,
            "example": "c8c2909d-75e9-484a-94c0-b7e8d29771fe",
            "minLength": 36,
            "maxLength": 36,
            "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          },
          "name": {
            "type": "string",
            "description": "Agent Location Name",
            "example": "uk-1-location-id",
            "minLength": 3,
            "maxLength": 255,
            "pattern": "^[a-zA-Z0-9\\p{L}\\-\\_\\.\\ ]+$"
          },
          "description": {
            "type": "string",
            "example": "Description of the Agent Location",
            "maxLength": 255,
            "pattern": "(^$|^[a-zA-Z0-9\\p{L}\\(\\)\\-\\_\\.\\ \\n]+$)"
          },
          "isDialingRestrictionEnabled": {
            "type": "boolean",
            "description": "It is an indicator to enable or disable Dialing Restriction",
            "example": true,
            "default": false
          }
        },
        "required": [
          "name",
          "isDialingRestrictionEnabled"
        ]
      },
      "ListAgentLocations": {
        "type": "object",
        "description": "List of Agent Locations",
        "properties": {
          "pagination": {
            "$ref": "#/components/schemas/Pagination"
          },
          "locations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ListAgentLocation"
            }
          },
          "links": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Links"
              }
            ],
            "example": {
              "prev": "/api/admin/v1/accounts/ASDJGE/agent-locations?pageNumber=1&pageSize=3",
              "next": "/api/admin/v1/accounts/ASDJGE/agent-locations?pageNumber=3&pageSize=3"
            }
          }
        }
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      },
      "pageNumber": {
        "name": "pageNumber",
        "in": "query",
        "description": "The page number of the records to retrieve. Default value is 1.",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "example": 1,
          "default": 1,
          "minimum": 1
        }
      },
      "pageSize": {
        "name": "pageSize",
        "in": "query",
        "description": "The max number of records to retrieve per page. Default value is 5, Any value like 5,10,15,20,25,30 is allowed. If value comes more than 1000 then max 1000 records will be returned.",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "example": 5,
          "default": 5,
          "minimum": 1,
          "maximum": 50
        }
      }
    },
    "examples": {
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "accountId",
              "message": "must match \"^[a-zA-Z]{6}$\"",
              "code": 20006
            }
          ]
        }
      },
      "AgentLocations": {
        "description": "Agent Locations List Example",
        "value": {
          "pagination": {
            "pageNumber": 2,
            "pageSize": 3,
            "total": 10
          },
          "locations": [
            {
              "id": "18e4f754-5e42-4387-ae13-e9b4fe4aed29",
              "name": "uk-1-location-id",
              "description": "UK Agent Location 1",
              "isDialingRestrictionEnabled": true
            },
            {
              "id": "18e4f754-5e42-4387-ae13-e9b4fe4aed30",
              "name": "france-location-id",
              "description": "France Agent Location 1",
              "isDialingRestrictionEnabled": false
            },
            {
              "id": "18e4f754-5e42-4387-ae13-e9b4fe4aed31",
              "name": "uk-2-location-id",
              "description": "UK Agent Location 2",
              "isDialingRestrictionEnabled": true
            }
          ],
          "links": {
            "prev": "/api/admin/v1/accounts/ASDJGE/agent-locations?pageNumber=1&pageSize=3",
            "next": "/api/admin/v1/accounts/ASDJGE/agent-locations?pageNumber=3&pageSize=3"
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```